#!/bin/bash
set -e
set -u

echo "OBS Advanced Scene Switcher Installer"
my_dir="$(dirname "${0}")"
rm -rf "${my_dir}/install.log"

echo "Install location: ${my_dir}/" | tee -a "${my_dir}/install.log"
my_tmp="$(mktemp -d -t "advanced-scene-switcher.XXXXXXXXXX")"
rm -rf "${my_tmp}"

echo "Extracting to ${my_tmp}/" | tee -a "${my_dir}/install.log"
pkgutil --expand-full "${my_dir}/SceneSwitcher.pkg" "${my_tmp}"

echo "Copying to ~/Library/Application\ Support/obs-studio/plugins/advanced-scene-switcher/" |
    tee -a "${my_dir}/install.log"
rsync -avhP \
    "${my_tmp}"/Payload/Library/Application\ Support/obs-studio/plugins/advanced-scene-switcher/ \
    ~/Library/Application\ Support/obs-studio/plugins/advanced-scene-switcher/

echo 'Success' | tee -a "${my_dir}/install.log"
exit 0
